Subject: [Fwd: L2TP tunnel authentication in Win2000.]

From: Srinivasan Chakravarthy <[email-masked]>
Date: Fri, 24 Mar 2000 14:55:38 -0800

Oops, it is my mistake - i didnt see properly that you have added a value and
NOT a key in the registery.

Subject: Re: L2TP tunnel authentication in Win2000.
From: Srinivasan Chakravarthy <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 24 Mar 2000 14:45:41 -0800

Hi Glen Zorn,

L2TP tunnel authentication is enabled in W2K after i made the changes you suggested. Thanks for your help.

Hi Nat,

I am using W2K prof LAC client to dial. I could see the W2K sending the challenge AVP. Do you still see the
problem ? Are you adding the Key in the registery or a value ?

Thanks & Regards,

Srinivasan.

[email-masked] wrote:

>   Hi,
>
> From: "Glen Zorn" <[email-masked]>
> Subject: RE: L2TP tunnel authentication in Win2000.
> Date: Thu, 23 Mar 2000 22:57:29 -0800
>
> > Try this:
> >
> > Turning on L2TP Tunnel Auth
> > Registry key:
> >   HKLM/SYSTEM/CurrentControlSet/Control/Class
> > Look for a GUID, the first component of which ends in 72 (e.g.,
> > 4D36E972-E325-11CE-BFC1-08002BE10318.  Under this key, find the key with
> > DriverDesc=WAN Miniport (L2TP).  Add a REG_SZ value called Password and set
> > the value to the desired shared secret.  The same secret is used for all
> > connections and the L2TP driver will always negotiate tunnel authentication
> > if this value exists.
>
>   Is this Windows 2000(server/professional) LAC Client or LNS ?
>
>   I'm try W2K Pro following setting, but it was not work ...
>
> [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Class\{4D36E972-E325-11CE-BFC1-08002BE10318}\0001]
> "MaxVcs"=dword:000003e8
> "MinWanEndpoints"=dword:00000000
> "MaxWanEndpoints"=dword:000003e8
> "WanEndpoints"=dword:00000002
> "Characteristics"=dword:00000029
> "ComponentId"="ms_l2tpminiport"
> "InfPath"="netrasa.inf"
> "InfSection"="Ndi-Mp-L2tp"
> "ProviderName"="Microsoft"
> "DriverDateData"=hex:00,40,4b,de,e9,27,bf,01
> "DriverDate"="11-6-1999"
> "DriverVersion"="5.0.2175.1"
> "MatchingDeviceId"="ms_l2tpminiport"
> "DriverDesc"="WAN Mini Port (L2TP)"
> "NetCfgInstanceId"="{2A515228-EC05-421C-AE4E-6E3FA1763DA6}"
> "EnableForRas"=dword:00000001
> "EnableForRouting"=dword:00000000
> "Password"="TEST-L2TP-TEST"
> ^^^^^^^^^^^^^^^^^ Added this value.
>
>   BTW, The W2K LAC Client have LNS name?
>
>   I'm not found Register value on W2K.
>
>   Thanks,
>
> ====
> Naoto "nat" MATSUMOTO <[email-masked]>